﻿<div class="page-content">
    <div class="content-block">
        <h3>
            كن سفيراً للتطبيق
        </h3>
        <p>من فضلك إملأ البيانات التالية</p>
        <div class="list-block">
            

            <form name="$parent.AmbassadorForm" ng-submit="addAmbassadorSubmittedForm($parent.AmbassadorForm.$valid)" novalidate>
                <div class="img_content">
                    <img data-ng-src="{{AmbassadorPicture | generateURL}}" src="img/oval.svg" class="lazy" />
                </div>
                <p><a href="#" ng-click="addAmbassadorPicture()" class="button button-round yellow">إضافة صورة</a></p>
                <ul>
                    <li>
                        <div class="item-content" ng-class="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorFullname.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="addAmbassadorFullname" class="form-control" type="text" placeholder="الاسم بالكامل" ng-model="ambassadorForm.addAmbassadorFullname" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorFullname.$error.required" class="error-block">يجب إدخال الاسم بالكامل</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorAge.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="number" placeholder="العمر" name="addAmbassadorAge" class="form-control" ng-pattern="ageRegex" ng-model="ambassadorForm.addAmbassadorAge" required ng-minlength="2" ng-maxlength="3">
                                </div>
                            </div>
                        </div>

                        <p ng-if="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorAge.$error.required" class="error-block">يجب إدخال العمر</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorAge.$error.pattern" class="error-block">العمر غير صحيح</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorAge.$error.minlength" class="error-block">العمر يجب ألا يقل عن رقمين</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorAge.$error.maxlength" class="error-block">العمر يجب ألا يزيد عن ثلاثة أرقام</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorAddress.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="text" placeholder="العنوان" name="addAmbassadorAddress" class="form-control" ng-model="ambassadorForm.addAmbassadorAddress" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorAddress.$error.required" class="error-block">يجب إدخال العنوان</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorMobile.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="tel" placeholder="رقم الجوال" name="addAmbassadorMobile" class="form-control" ng-pattern="mobileRegex" ng-model="ambassadorForm.addAmbassadorMobile" required ng-minlength="10" ng-maxlength="10">
                                </div>
                            </div>
                        </div>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset   && $parent.AmbassadorForm.addAmbassadorMobile.$error.required" class="error-block">يجب إدخال الجوال</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorMobile.$error.pattern" class="error-block">الجوال غير صحيح</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorMobile.$error.minlength" class="error-block">الجوال يجب ألا يقل عن عشرة أرقام</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorMobile.$error.maxlength" class="error-block">الجوال يجب ألا يزيد عن عشرة أرقام</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="addAmbassadorSubmitted && ambassdorReset   && $parent.AmbassadorForm.addAmbassadorEmail.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="email" placeholder="البريد الإلكترونى" name="addAmbassadorEmail" class="form-control" ng-pattern="emailRegex" ng-model="ambassadorForm.addAmbassadorEmail" ng-disabled="emailDisabled" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorEmail.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorEmail.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="addAmbassadorSubmitted && ambassdorReset  && $parent.AmbassadorForm.addAmbassadorAccounts.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <textarea type="text" placeholder="الحسابات الإلكترونية" name="addAmbassadorAccounts" class="form-control" ng-model="ambassadorForm.addAmbassadorAccounts" required></textarea>
                                </div>
                            </div>
                        </div>
                        <p ng-if="addAmbassadorSubmitted && ambassdorReset && $parent.AmbassadorForm.addAmbassadorAccounts.$error.required" class="error-block">يجب ادخال الحسابات الاكترونية</p>
                    </li>

                </ul>
                <p><button type="submit" class="button button-round purple" ng-click="addAmbassadorSubmitted=true"> إرسال طلب</button></p>
                <p><button ng-click="addAmbassadorBack()" class="button button-round yellow">إلغاء</button></p>
            </form>


        </div>
    </div>
</div>